<?php

namespace App\Http\Controllers;

use App\Models\escolas;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class EscolasController extends Controller
{
    public function index()
    {

        if (Auth::user()->id_escola == 0) {
            $escolas = escolas::all();
        } else {
            $escolas = escolas::where('id', Auth::user()->id_escola)->get();
        }

        return view('escolas.index', compact('escolas'));
    }

    public function createOrUpdate(Request $request)
    {
        try {
            escolas::updateOrCreate([
                'cnpj' => $request->cnpj,
            ],[
                'nome' => $request->razaosocial,
                'endereco' => json_decode($request->address, true),
            ]);
            return redirect()->route('escolas')->with('success', 'Escola Criada|Atualizada com sucesso');
        } catch (\Throwable $th) {
            dd($th);
        }
    }
}
